<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AnagraficaPersonale_Model StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:AnagraficaPersonale_Model
 * @subpackage Structs
 */
class AnagraficaPersonale_Model extends AnagraficaDettaglio_Model
{
    /**
     * The Badge
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Badge;
    /**
     * The Corsi
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var ArrayOfCorsoFormazione
     */
    public $Corsi;
    /**
     * The NumeriIscrizioneRegistroVolontari
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $NumeriIscrizioneRegistroVolontari;
    /**
     * The QualificaAutista
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var Qualifica
     */
    public $QualificaAutista;
    /**
     * The QualificaSanitaria
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var Qualifica
     */
    public $QualificaSanitaria;
    /**
     * The Qualifiche
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var ArrayOfQualifica
     */
    public $Qualifiche;
    /**
     * The TitoloRuolo
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $TitoloRuolo;
    /**
     * Constructor method for AnagraficaPersonale_Model
     * @uses AnagraficaPersonale_Model::setBadge()
     * @uses AnagraficaPersonale_Model::setCorsi()
     * @uses AnagraficaPersonale_Model::setNumeriIscrizioneRegistroVolontari()
     * @uses AnagraficaPersonale_Model::setQualificaAutista()
     * @uses AnagraficaPersonale_Model::setQualificaSanitaria()
     * @uses AnagraficaPersonale_Model::setQualifiche()
     * @uses AnagraficaPersonale_Model::setTitoloRuolo()
     * @param string $badge
     * @param ArrayOfCorsoFormazione $corsi
     * @param string $numeriIscrizioneRegistroVolontari
     * @param Qualifica $qualificaAutista
     * @param Qualifica $qualificaSanitaria
     * @param ArrayOfQualifica $qualifiche
     * @param string $titoloRuolo
     */
    public function __construct($badge = null, ArrayOfCorsoFormazione $corsi = null, $numeriIscrizioneRegistroVolontari = null, Qualifica $qualificaAutista = null, Qualifica $qualificaSanitaria = null, ArrayOfQualifica $qualifiche = null, $titoloRuolo = null)
    {
        $this
            ->setBadge($badge)
            ->setCorsi($corsi)
            ->setNumeriIscrizioneRegistroVolontari($numeriIscrizioneRegistroVolontari)
            ->setQualificaAutista($qualificaAutista)
            ->setQualificaSanitaria($qualificaSanitaria)
            ->setQualifiche($qualifiche)
            ->setTitoloRuolo($titoloRuolo);
    }
    /**
     * Get Badge value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getBadge()
    {
        return isset($this->Badge) ? $this->Badge : null;
    }
    /**
     * Set Badge value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $badge
     * @return AnagraficaPersonale_Model
     */
    public function setBadge($badge = null)
    {
        // validation for constraint: string
        if (!is_null($badge) && !is_string($badge)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($badge, true), gettype($badge)), __LINE__);
        }
        if (is_null($badge) || (is_array($badge) && empty($badge))) {
            unset($this->Badge);
        } else {
            $this->Badge = $badge;
        }
        return $this;
    }
    /**
     * Get Corsi value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return ArrayOfCorsoFormazione|null
     */
    public function getCorsi()
    {
        return isset($this->Corsi) ? $this->Corsi : null;
    }
    /**
     * Set Corsi value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param ArrayOfCorsoFormazione $corsi
     * @return AnagraficaPersonale_Model
     */
    public function setCorsi(ArrayOfCorsoFormazione $corsi = null)
    {
        if (is_null($corsi) || (is_array($corsi) && empty($corsi))) {
            unset($this->Corsi);
        } else {
            $this->Corsi = $corsi;
        }
        return $this;
    }
    /**
     * Get NumeriIscrizioneRegistroVolontari value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getNumeriIscrizioneRegistroVolontari()
    {
        return isset($this->NumeriIscrizioneRegistroVolontari) ? $this->NumeriIscrizioneRegistroVolontari : null;
    }
    /**
     * Set NumeriIscrizioneRegistroVolontari value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $numeriIscrizioneRegistroVolontari
     * @return AnagraficaPersonale_Model
     */
    public function setNumeriIscrizioneRegistroVolontari($numeriIscrizioneRegistroVolontari = null)
    {
        // validation for constraint: string
        if (!is_null($numeriIscrizioneRegistroVolontari) && !is_string($numeriIscrizioneRegistroVolontari)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($numeriIscrizioneRegistroVolontari, true), gettype($numeriIscrizioneRegistroVolontari)), __LINE__);
        }
        if (is_null($numeriIscrizioneRegistroVolontari) || (is_array($numeriIscrizioneRegistroVolontari) && empty($numeriIscrizioneRegistroVolontari))) {
            unset($this->NumeriIscrizioneRegistroVolontari);
        } else {
            $this->NumeriIscrizioneRegistroVolontari = $numeriIscrizioneRegistroVolontari;
        }
        return $this;
    }
    /**
     * Get QualificaAutista value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return Qualifica|null
     */
    public function getQualificaAutista()
    {
        return isset($this->QualificaAutista) ? $this->QualificaAutista : null;
    }
    /**
     * Set QualificaAutista value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param Qualifica $qualificaAutista
     * @return AnagraficaPersonale_Model
     */
    public function setQualificaAutista(Qualifica $qualificaAutista = null)
    {
        if (is_null($qualificaAutista) || (is_array($qualificaAutista) && empty($qualificaAutista))) {
            unset($this->QualificaAutista);
        } else {
            $this->QualificaAutista = $qualificaAutista;
        }
        return $this;
    }
    /**
     * Get QualificaSanitaria value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return Qualifica|null
     */
    public function getQualificaSanitaria()
    {
        return isset($this->QualificaSanitaria) ? $this->QualificaSanitaria : null;
    }
    /**
     * Set QualificaSanitaria value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param Qualifica $qualificaSanitaria
     * @return AnagraficaPersonale_Model
     */
    public function setQualificaSanitaria(Qualifica $qualificaSanitaria = null)
    {
        if (is_null($qualificaSanitaria) || (is_array($qualificaSanitaria) && empty($qualificaSanitaria))) {
            unset($this->QualificaSanitaria);
        } else {
            $this->QualificaSanitaria = $qualificaSanitaria;
        }
        return $this;
    }
    /**
     * Get Qualifiche value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return ArrayOfQualifica|null
     */
    public function getQualifiche()
    {
        return isset($this->Qualifiche) ? $this->Qualifiche : null;
    }
    /**
     * Set Qualifiche value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param ArrayOfQualifica $qualifiche
     * @return AnagraficaPersonale_Model
     */
    public function setQualifiche(ArrayOfQualifica $qualifiche = null)
    {
        if (is_null($qualifiche) || (is_array($qualifiche) && empty($qualifiche))) {
            unset($this->Qualifiche);
        } else {
            $this->Qualifiche = $qualifiche;
        }
        return $this;
    }
    /**
     * Get TitoloRuolo value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getTitoloRuolo()
    {
        return isset($this->TitoloRuolo) ? $this->TitoloRuolo : null;
    }
    /**
     * Set TitoloRuolo value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $titoloRuolo
     * @return AnagraficaPersonale_Model
     */
    public function setTitoloRuolo($titoloRuolo = null)
    {
        // validation for constraint: string
        if (!is_null($titoloRuolo) && !is_string($titoloRuolo)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($titoloRuolo, true), gettype($titoloRuolo)), __LINE__);
        }
        if (is_null($titoloRuolo) || (is_array($titoloRuolo) && empty($titoloRuolo))) {
            unset($this->TitoloRuolo);
        } else {
            $this->TitoloRuolo = $titoloRuolo;
        }
        return $this;
    }
}
