<?php
use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfTurnoLite ArrayType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:ArrayOfTurnoLite
 * @subpackage Arrays
 */
class ArrayOfTurnoLite extends AbstractStructArrayBase
{
    /**
     * The TurnoLite
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var TurnoLite[]
     */
    public $TurnoLite;
    /**
     * Constructor method for ArrayOfTurnoLite
     * @uses ArrayOfTurnoLite::setTurnoLite()
     * @param TurnoLite[] $turnoLite
     */
    public function __construct(array $turnoLite = array())
    {
        $this
            ->setTurnoLite($turnoLite);
    }
    /**
     * Get TurnoLite value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return TurnoLite[]|null
     */
    public function getTurnoLite()
    {
        return isset($this->TurnoLite) ? $this->TurnoLite : null;
    }
    /**
     * This method is responsible for validating the values passed to the setTurnoLite method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTurnoLite method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTurnoLiteForArrayConstraintsFromSetTurnoLite(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfTurnoLiteTurnoLiteItem) {
            // validation for constraint: itemType
            if (!$arrayOfTurnoLiteTurnoLiteItem instanceof TurnoLite) {
                $invalidValues[] = is_object($arrayOfTurnoLiteTurnoLiteItem) ? get_class($arrayOfTurnoLiteTurnoLiteItem) : sprintf('%s(%s)', gettype($arrayOfTurnoLiteTurnoLiteItem), var_export($arrayOfTurnoLiteTurnoLiteItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The TurnoLite property can only contain items of type TurnoLite, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set TurnoLite value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param TurnoLite[] $turnoLite
     * @return ArrayOfTurnoLite
     */
    public function setTurnoLite(array $turnoLite = array())
    {
        // validation for constraint: array
        if ('' !== ($turnoLiteArrayErrorMessage = self::validateTurnoLiteForArrayConstraintsFromSetTurnoLite($turnoLite))) {
            throw new \InvalidArgumentException($turnoLiteArrayErrorMessage, __LINE__);
        }
        if (is_null($turnoLite) || (is_array($turnoLite) && empty($turnoLite))) {
            unset($this->TurnoLite);
        } else {
            $this->TurnoLite = $turnoLite;
        }
        return $this;
    }
    /**
     * Add item to TurnoLite value
     * @throws \InvalidArgumentException
     * @param TurnoLite $item
     * @return ArrayOfTurnoLite
     */
    public function addToTurnoLite(TurnoLite $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof TurnoLite) {
            throw new \InvalidArgumentException(sprintf('The TurnoLite property can only contain items of type TurnoLite, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->TurnoLite[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return TurnoLite|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return TurnoLite|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return TurnoLite|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return TurnoLite|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return TurnoLite|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string TurnoLite
     */
    public function getAttributeName()
    {
        return 'TurnoLite';
    }
}
