<?php
use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Check ServiceType
 * @subpackage Services
 */
class Check extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named CheckGreenPass
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param CheckGreenPass $parameters
     * @return CheckGreenPassResponse|bool
     */
    public function CheckGreenPass(CheckGreenPass $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->CheckGreenPass($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return CheckGreenPassResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
