<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'ArrayOfCorsoFormazione' => 'ArrayOfCorsoFormazione',
            'CorsoFormazione' => 'CorsoFormazione',
            'UtentePCGav' => 'UtentePCGav',
            'ArrayOfAttivitaUtente' => 'ArrayOfAttivitaUtente',
            'AttivitaUtente' => 'AttivitaUtente',
            'AttivitaModel' => 'AttivitaModel',
            'ArrayOfQualifica' => 'ArrayOfQualifica',
            'Qualifica' => 'Qualifica',
            'ArrayOfPresenza_CheckListRichiestaModel' => 'ArrayOfPresenza_CheckListRichiestaModel',
            'Presenza_CheckListRichiestaModel' => 'Presenza_CheckListRichiestaModel',
            'ArrayOfRecapito' => 'ArrayOfRecapito',
            'Recapito' => 'Recapito',
            'Configurazione' => 'Configurazione',
            'ConfigurazioneBase' => 'ConfigurazioneBase',
            'IntegrazioneCupMisericordie' => 'IntegrazioneCupMisericordie',
            'IntegrazioneCupSubito' => 'IntegrazioneCupSubito',
            'ArrayOfMezzo_Model' => 'ArrayOfMezzo_Model',
            'Mezzo_Model' => 'Mezzo_Model',
            'ArrayOfRichiestaCartellino_Motivo' => 'ArrayOfRichiestaCartellino_Motivo',
            'RichiestaCartellino_Motivo' => 'RichiestaCartellino_Motivo',
            'RichiestaCartellino_Motivo_Identificativo' => 'RichiestaCartellino_Motivo_Identificativo',
            'ArrayOfSezione' => 'ArrayOfSezione',
            'Sezione' => 'Sezione',
            'Coordinate' => 'Coordinate',
            'ArrayOfGruppoTurni' => 'ArrayOfGruppoTurni',
            'GruppoTurni' => 'GruppoTurni',
            'ArrayOfSezione_Model' => 'ArrayOfSezione_Model',
            'Sezione_Model' => 'Sezione_Model',
            'ArrayOfTipoRecapito' => 'ArrayOfTipoRecapito',
            'TipoRecapito' => 'TipoRecapito',
            'Login_Result' => 'Login_Result',
            'AdditionaInformation' => 'AdditionaInformation',
            'RegistraFCMToken_Result' => 'RegistraFCMToken_Result',
            'WebService_GenericResult' => 'WebService_GenericResult',
            'UnregisterFCMToken_Request' => 'UnregisterFCMToken_Request',
            'DeviceModel' => 'DeviceModel',
            'UnregisterFCMToken_Response' => 'UnregisterFCMToken_Response',
            'Login_EasyGAV_Web_Result' => 'Login_EasyGAV_Web_Result',
            'ConfigurazioneApp' => 'ConfigurazioneApp',
            'Login_SGEServer_Result' => 'Login_SGEServer_Result',
            'Classe_Model' => 'Classe_Model',
            'Quota_Model' => 'Quota_Model',
            'ArrayOfProvincia_Model' => 'ArrayOfProvincia_Model',
            'Provincia_Model' => 'Provincia_Model',
            'GetProfilo_Result' => 'GetProfilo_Result',
            'UpdateUser_Result' => 'UpdateUser_Result',
            'UpdateUserProfilePhoto_Result' => 'UpdateUserProfilePhoto_Result',
            'GetConfigurazione_Result' => 'GetConfigurazione_Result',
            'InviaPresenza_Result' => 'InviaPresenza_Result',
            'Presenza' => 'Presenza',
            'InviaPresenza_Request' => 'InviaPresenza_Request',
            'PresenzaModel' => 'PresenzaModel',
            'ArrayOfPresenza_CheckListRispostaModel' => 'ArrayOfPresenza_CheckListRispostaModel',
            'Presenza_CheckListRispostaModel' => 'Presenza_CheckListRispostaModel',
            'InviaPresenza_Response' => 'InviaPresenza_Response',
            'InviaPresenza3_Request' => 'InviaPresenza3_Request',
            'GetCheckList_Richieste_Request' => 'GetCheckList_Richieste_Request',
            'GetCheckList_Richieste_Response' => 'GetCheckList_Richieste_Response',
            'GetRegioni_Result' => 'GetRegioni_Result',
            'ArrayOfResultCodiceDescrizione' => 'ArrayOfResultCodiceDescrizione',
            'ResultCodiceDescrizione' => 'ResultCodiceDescrizione',
            'GetProvince_Result' => 'GetProvince_Result',
            'GetComuni_Result' => 'GetComuni_Result',
            'GetRecapiti_Result' => 'GetRecapiti_Result',
            'GetRecapito_Result' => 'GetRecapito_Result',
            'Recapito_Model' => 'Recapito_Model',
            'SalvaRecapito_Result' => 'SalvaRecapito_Result',
            'DeleteRecapito_Result' => 'DeleteRecapito_Result',
            'GetQualifiche_Result' => 'GetQualifiche_Result',
            'SendRecapiti_Result' => 'SendRecapiti_Result',
            'GetCorsi_Result' => 'GetCorsi_Result',
            'ArrayOfDatiCorso' => 'ArrayOfDatiCorso',
            'DatiCorso' => 'DatiCorso',
            'Anagrafica_Model' => 'Anagrafica_Model',
            'Socio_Model' => 'Socio_Model',
            'Volontario_Model' => 'Volontario_Model',
            'SendCorsoRegistrazione_Result' => 'SendCorsoRegistrazione_Result',
            'SendCorsoCancellaRegistrazione_Result' => 'SendCorsoCancellaRegistrazione_Result',
            'GetTurni_Result' => 'GetTurni_Result',
            'ArrayOfTGiorno' => 'ArrayOfTGiorno',
            'TGiorno' => 'TGiorno',
            'ArrayOfTurno' => 'ArrayOfTurno',
            'Turno' => 'Turno',
            'ArrayOfTAttivita' => 'ArrayOfTAttivita',
            'TAttivita' => 'TAttivita',
            'ArrayOfTPartecipante' => 'ArrayOfTPartecipante',
            'TPartecipante' => 'TPartecipante',
            'Partecipante' => 'Partecipante',
            'Mezzo' => 'Mezzo',
            'ArrayOfTurno_Qualifica' => 'ArrayOfTurno_Qualifica',
            'Turno_Qualifica' => 'Turno_Qualifica',
            'ArrayOfPartecipante' => 'ArrayOfPartecipante',
            'GetTurniOperatore_Result' => 'GetTurniOperatore_Result',
            'GetEventiOperatore_Result' => 'GetEventiOperatore_Result',
            'GetEventi_Result' => 'GetEventi_Result',
            'ArrayOfEGiorno' => 'ArrayOfEGiorno',
            'EGiorno' => 'EGiorno',
            'ArrayOfEvento' => 'ArrayOfEvento',
            'Evento' => 'Evento',
            'ArrayOfEAttivita' => 'ArrayOfEAttivita',
            'EAttivita' => 'EAttivita',
            'ArrayOfEPartecipante' => 'ArrayOfEPartecipante',
            'EPartecipante' => 'EPartecipante',
            'GetCalendarioTurniLite_Result' => 'GetCalendarioTurniLite_Result',
            'ArrayOfTurnoLite' => 'ArrayOfTurnoLite',
            'TurnoLite' => 'TurnoLite',
            'GetTurnoSpecifico_Result' => 'GetTurnoSpecifico_Result',
            'GetGiornoEvento_Result' => 'GetGiornoEvento_Result',
            'IscrizioneTurno_Result' => 'IscrizioneTurno_Result',
            'ModificaIscrizioneTurno_Result' => 'ModificaIscrizioneTurno_Result',
            'IscrizioneEvento_Result' => 'IscrizioneEvento_Result',
            'CancellazioneIscrizioneTurno_Result' => 'CancellazioneIscrizioneTurno_Result',
            'CancellazioneIscrizioneEvento_Result' => 'CancellazioneIscrizioneEvento_Result',
            'GetAttivitaUtente_Result' => 'GetAttivitaUtente_Result',
            'GetMessaggi_Result' => 'GetMessaggi_Result',
            'ArrayOfMessaggio' => 'ArrayOfMessaggio',
            'Messaggio' => 'Messaggio',
            'GetLastPresenza_Result' => 'GetLastPresenza_Result',
            'GetLastPresenza_Request' => 'GetLastPresenza_Request',
            'GetLastPresenza_Response' => 'GetLastPresenza_Response',
            'GetNotifiche_Result' => 'GetNotifiche_Result',
            'ArrayOfNotificaClient' => 'ArrayOfNotificaClient',
            'NotificaClient' => 'NotificaClient',
            'Notifica' => 'Notifica',
            'GetTestoNotifica_Result' => 'GetTestoNotifica_Result',
            'GetTotaleNotificheDaNotificare_Result' => 'GetTotaleNotificheDaNotificare_Result',
            'SetNotificaLetta_Result' => 'SetNotificaLetta_Result',
            'SetNotificheNotificate_Result' => 'SetNotificheNotificate_Result',
            'Anagrafe_Ricerca' => 'Anagrafe_Ricerca',
            'Anagrafe_Ricerca_Result' => 'Anagrafe_Ricerca_Result',
            'ArrayOfAnagrafica_Model' => 'ArrayOfAnagrafica_Model',
            'Anagrafe_Get_Result' => 'Anagrafe_Get_Result',
            'AnagraficaDettaglio_Model' => 'AnagraficaDettaglio_Model',
            'Comune_Model' => 'Comune_Model',
            'Donatore_Model' => 'Donatore_Model',
            'ArrayOfAnagrafePrivacy_Model' => 'ArrayOfAnagrafePrivacy_Model',
            'AnagrafePrivacy_Model' => 'AnagrafePrivacy_Model',
            'Privacy_Model' => 'Privacy_Model',
            'ArrayOfRecapito_Model' => 'ArrayOfRecapito_Model',
            'Stradario_Identifier_Model' => 'Stradario_Identifier_Model',
            'Report_Get_Result' => 'Report_Get_Result',
            'OutputCsv_Get_Result' => 'OutputCsv_Get_Result',
            'GetListaSegnalazioniGuasto_Result' => 'GetListaSegnalazioniGuasto_Result',
            'ArrayOfSegnalazioneGuasto_Model' => 'ArrayOfSegnalazioneGuasto_Model',
            'SegnalazioneGuasto_Model' => 'SegnalazioneGuasto_Model',
            'Articolo_Model' => 'Articolo_Model',
            'GetListaArticoliSegnalazioneGuasto_Result' => 'GetListaArticoliSegnalazioneGuasto_Result',
            'ArrayOfArticolo_Model' => 'ArrayOfArticolo_Model',
            'SendSegnalazioniGuasto_Result' => 'SendSegnalazioniGuasto_Result',
            'RiassegnaMezzoMissioni_Request' => 'RiassegnaMezzoMissioni_Request',
            'ArrayOfMissioneBase_Model' => 'ArrayOfMissioneBase_Model',
            'MissioneBase_Model' => 'MissioneBase_Model',
            'RiassegnaMezzoMissioni_Result' => 'RiassegnaMezzoMissioni_Result',
            'InsertRichiestaCartellino_Request' => 'InsertRichiestaCartellino_Request',
            'RichiestaCartellino' => 'RichiestaCartellino',
            'RichiestaCartellinoBase' => 'RichiestaCartellinoBase',
            'RichestaCartellino_DatiBollatura' => 'RichestaCartellino_DatiBollatura',
            'RichestaCartellino_DatiBollatura_Identificativo' => 'RichestaCartellino_DatiBollatura_Identificativo',
            'RichiestaCartellino_Identificativo' => 'RichiestaCartellino_Identificativo',
            'ArrayOfRichiestaCartellino_Evento' => 'ArrayOfRichiestaCartellino_Evento',
            'RichiestaCartellino_Evento' => 'RichiestaCartellino_Evento',
            'RichiestaCartellino_Evento_Identificativo' => 'RichiestaCartellino_Evento_Identificativo',
            'AnagraficaModel' => 'AnagraficaModel',
            'AnagraficaModel_Identificativo' => 'AnagraficaModel_Identificativo',
            'InsertRichiestaCartellino_Response' => 'InsertRichiestaCartellino_Response',
            'UpdateRichiestaCartellino_Request' => 'UpdateRichiestaCartellino_Request',
            'UpdateRichiestaCartellino_Response' => 'UpdateRichiestaCartellino_Response',
            'GetRichiesteCartellino_Request' => 'GetRichiesteCartellino_Request',
            'GetRichiesteCartellino_Response' => 'GetRichiesteCartellino_Response',
            'ArrayOfRichiestaCartellino' => 'ArrayOfRichiestaCartellino',
            'GetRichiestaCartellino_Request' => 'GetRichiestaCartellino_Request',
            'GetRichiestaCartellino_Response' => 'GetRichiestaCartellino_Response',
            'DeleteRichiestaCartellino_Request' => 'DeleteRichiestaCartellino_Request',
            'DeleteRichiestaCartellino_Response' => 'DeleteRichiestaCartellino_Response',
            'InsertEventolRichiestaCartellino_Request' => 'InsertEventolRichiestaCartellino_Request',
            'InsertEventolRichiestaCartellino_Response' => 'InsertEventolRichiestaCartellino_Response',
            'GetListaRuoliOperatori_Request' => 'GetListaRuoliOperatori_Request',
            'GetListaRuoliOperatori_Response' => 'GetListaRuoliOperatori_Response',
            'ArrayOfRuoloOperatori_Model' => 'ArrayOfRuoloOperatori_Model',
            'RuoloOperatori_Model' => 'RuoloOperatori_Model',
            'ArrayOfAnagraficaPersonale_Model' => 'ArrayOfAnagraficaPersonale_Model',
            'AnagraficaPersonale_Model' => 'AnagraficaPersonale_Model',
            'GetListaStradari_Request' => 'GetListaStradari_Request',
            'GetListaStradari_Response' => 'GetListaStradari_Response',
            'ArrayOfStradario_Model' => 'ArrayOfStradario_Model',
            'Stradario_Model' => 'Stradario_Model',
            'GetCorsiUtenteRequest' => 'GetCorsiUtenteRequest',
            'GetCorsiUtenteRespone' => 'GetCorsiUtenteRespone',
            'ArrayOfCorso' => 'ArrayOfCorso',
            'Corso' => 'Corso',
            'CancellaIscrizioneCorsoRequest' => 'CancellaIscrizioneCorsoRequest',
            'CancellaIscrizioneCorsoResponse' => 'CancellaIscrizioneCorsoResponse',
            'GetVersion' => 'GetVersion',
            'GetVersionResponse' => 'GetVersionResponse',
            'Login' => 'Login',
            'LoginResponse' => 'LoginResponse',
            'RegistraFCMToken' => 'RegistraFCMToken',
            'RegistraFCMTokenResponse' => 'RegistraFCMTokenResponse',
            'UnRegisterFCMToken' => 'UnRegisterFCMToken',
            'UnRegisterFCMTokenResponse' => 'UnRegisterFCMTokenResponse',
            'Login_Tessera' => 'Login_Tessera',
            'Login_TesseraResponse' => 'Login_TesseraResponse',
            'Login_EasyGAV_Web' => 'Login_EasyGAV_Web',
            'Login_EasyGAV_WebResponse' => 'Login_EasyGAV_WebResponse',
            'Login_SGEServer' => 'Login_SGEServer',
            'Login_SGEServerResponse' => 'Login_SGEServerResponse',
            'GetInternalProtocolVersion' => 'GetInternalProtocolVersion',
            'GetInternalProtocolVersionResponse' => 'GetInternalProtocolVersionResponse',
            'GetProfilo' => 'GetProfilo',
            'GetProfiloResponse' => 'GetProfiloResponse',
            'UpdateUser' => 'UpdateUser',
            'UpdateUserResponse' => 'UpdateUserResponse',
            'UpdateUserProfilePhoto' => 'UpdateUserProfilePhoto',
            'UpdateUserProfilePhotoResponse' => 'UpdateUserProfilePhotoResponse',
            'GetConfigurazione' => 'GetConfigurazione',
            'GetConfigurazioneResponse' => 'GetConfigurazioneResponse',
            'InviaPresenza' => 'InviaPresenza',
            'InviaPresenzaResponse' => 'InviaPresenzaResponse',
            'InviaPresenza2' => 'InviaPresenza2',
            'InviaPresenza2Response' => 'InviaPresenza2Response',
            'InviaPresenza3' => 'InviaPresenza3',
            'InviaPresenza3Response' => 'InviaPresenza3Response',
            'GetCheckList_Richieste' => 'GetCheckList_Richieste',
            'GetCheckList_RichiesteResponse' => 'GetCheckList_RichiesteResponse',
            'GetRegioni' => 'GetRegioni',
            'GetRegioniResponse' => 'GetRegioniResponse',
            'GetProvince' => 'GetProvince',
            'GetProvinceResponse' => 'GetProvinceResponse',
            'GetComuni' => 'GetComuni',
            'GetComuniResponse' => 'GetComuniResponse',
            'GetRecapiti' => 'GetRecapiti',
            'GetRecapitiResponse' => 'GetRecapitiResponse',
            'GetRecapito' => 'GetRecapito',
            'GetRecapitoResponse' => 'GetRecapitoResponse',
            'SalvaRecapito' => 'SalvaRecapito',
            'SalvaRecapitoResponse' => 'SalvaRecapitoResponse',
            'DeleteRecapito' => 'DeleteRecapito',
            'DeleteRecapitoResponse' => 'DeleteRecapitoResponse',
            'GetQualifiche' => 'GetQualifiche',
            'GetQualificheResponse' => 'GetQualificheResponse',
            'SendRecapiti' => 'SendRecapiti',
            'SendRecapitiResponse' => 'SendRecapitiResponse',
            'GetCorsi' => 'GetCorsi',
            'GetCorsiResponse' => 'GetCorsiResponse',
            'GetCorsiUtente' => 'GetCorsiUtente',
            'GetCorsiUtenteResponse' => 'GetCorsiUtenteResponse',
            'CancellaIscrizioneACorso' => 'CancellaIscrizioneACorso',
            'CancellaIscrizioneACorsoResponse' => 'CancellaIscrizioneACorsoResponse',
            'SendCorsoRegistrazione' => 'SendCorsoRegistrazione',
            'SendCorsoRegistrazioneResponse' => 'SendCorsoRegistrazioneResponse',
            'SendCorsoCancellaRegistrazione' => 'SendCorsoCancellaRegistrazione',
            'SendCorsoCancellaRegistrazioneResponse' => 'SendCorsoCancellaRegistrazioneResponse',
            'GetTurni' => 'GetTurni',
            'GetTurniResponse' => 'GetTurniResponse',
            'GetTurniOperatore' => 'GetTurniOperatore',
            'GetTurniOperatoreResponse' => 'GetTurniOperatoreResponse',
            'GetEventiOperatore' => 'GetEventiOperatore',
            'GetEventiOperatoreResponse' => 'GetEventiOperatoreResponse',
            'GetCalendarioTurni' => 'GetCalendarioTurni',
            'GetCalendarioTurniResponse' => 'GetCalendarioTurniResponse',
            'GetCalendarioTurniLite' => 'GetCalendarioTurniLite',
            'GetCalendarioTurniLiteResponse' => 'GetCalendarioTurniLiteResponse',
            'GetEventi' => 'GetEventi',
            'GetEventiResponse' => 'GetEventiResponse',
            'GetCalendarioEventi' => 'GetCalendarioEventi',
            'GetCalendarioEventiResponse' => 'GetCalendarioEventiResponse',
            'GetTurnoSpecifico' => 'GetTurnoSpecifico',
            'GetTurnoSpecificoResponse' => 'GetTurnoSpecificoResponse',
            'GetTurnoSpecifico2' => 'GetTurnoSpecifico2',
            'GetTurnoSpecifico2Response' => 'GetTurnoSpecifico2Response',
            'GetGiornoEvento' => 'GetGiornoEvento',
            'GetGiornoEventoResponse' => 'GetGiornoEventoResponse',
            'IscrizioneTurno' => 'IscrizioneTurno',
            'IscrizioneTurnoResponse' => 'IscrizioneTurnoResponse',
            'IscrizioneTurno2' => 'IscrizioneTurno2',
            'IscrizioneTurno2Response' => 'IscrizioneTurno2Response',
            'ModificaIscrizioneTurno' => 'ModificaIscrizioneTurno',
            'ModificaIscrizioneTurnoResponse' => 'ModificaIscrizioneTurnoResponse',
            'ModificaIscrizioneTurno2' => 'ModificaIscrizioneTurno2',
            'ModificaIscrizioneTurno2Response' => 'ModificaIscrizioneTurno2Response',
            'IscrizioneEvento' => 'IscrizioneEvento',
            'IscrizioneEventoResponse' => 'IscrizioneEventoResponse',
            'CancellazioneIscrizioneTurno' => 'CancellazioneIscrizioneTurno',
            'CancellazioneIscrizioneTurnoResponse' => 'CancellazioneIscrizioneTurnoResponse',
            'CancellazioneIscrizioneTurno2' => 'CancellazioneIscrizioneTurno2',
            'CancellazioneIscrizioneTurno2Response' => 'CancellazioneIscrizioneTurno2Response',
            'CancellazioneIscrizioneEvento' => 'CancellazioneIscrizioneEvento',
            'CancellazioneIscrizioneEventoResponse' => 'CancellazioneIscrizioneEventoResponse',
            'GetAttivitaUtente' => 'GetAttivitaUtente',
            'GetAttivitaUtenteResponse' => 'GetAttivitaUtenteResponse',
            'GetMessaggi' => 'GetMessaggi',
            'GetMessaggiResponse' => 'GetMessaggiResponse',
            'GetLastPresenza' => 'GetLastPresenza',
            'GetLastPresenzaResponse' => 'GetLastPresenzaResponse',
            'GetLastPresenza2' => 'GetLastPresenza2',
            'GetLastPresenza2Response' => 'GetLastPresenza2Response',
            'GetNotifiche' => 'GetNotifiche',
            'GetNotificheResponse' => 'GetNotificheResponse',
            'GetTestoNotifica' => 'GetTestoNotifica',
            'GetTestoNotificaResponse' => 'GetTestoNotificaResponse',
            'GetTotaleNotificheDaNotificare' => 'GetTotaleNotificheDaNotificare',
            'GetTotaleNotificheDaNotificareResponse' => 'GetTotaleNotificheDaNotificareResponse',
            'SetNotificaLetta' => 'SetNotificaLetta',
            'SetNotificaLettaResponse' => 'SetNotificaLettaResponse',
            'SetNotificheNotificate' => 'SetNotificheNotificate',
            'SetNotificheNotificateResponse' => 'SetNotificheNotificateResponse',
            'RicercaAnagrafe' => 'RicercaAnagrafe',
            'RicercaAnagrafeResponse' => 'RicercaAnagrafeResponse',
            'GetAnagrafe' => 'GetAnagrafe',
            'GetAnagrafeResponse' => 'GetAnagrafeResponse',
            'SalvaAnagrafe' => 'SalvaAnagrafe',
            'SalvaAnagrafeResponse' => 'SalvaAnagrafeResponse',
            'IncassaQuotaAssociativa' => 'IncassaQuotaAssociativa',
            'IncassaQuotaAssociativaResponse' => 'IncassaQuotaAssociativaResponse',
            'AnnullaIncassoQuotaAssociativa' => 'AnnullaIncassoQuotaAssociativa',
            'AnnullaIncassoQuotaAssociativaResponse' => 'AnnullaIncassoQuotaAssociativaResponse',
            'StampaModuloPrivacy' => 'StampaModuloPrivacy',
            'StampaModuloPrivacyResponse' => 'StampaModuloPrivacyResponse',
            'RinnovaPrivacy' => 'RinnovaPrivacy',
            'RinnovaPrivacyResponse' => 'RinnovaPrivacyResponse',
            'RevocaPrivacy' => 'RevocaPrivacy',
            'RevocaPrivacyResponse' => 'RevocaPrivacyResponse',
            'GetCsvSociConRecapito' => 'GetCsvSociConRecapito',
            'GetCsvSociConRecapitoResponse' => 'GetCsvSociConRecapitoResponse',
            'GetCsvSituazionePrivacy' => 'GetCsvSituazionePrivacy',
            'GetCsvSituazionePrivacyResponse' => 'GetCsvSituazionePrivacyResponse',
            'GetCsvCampagnaSoci' => 'GetCsvCampagnaSoci',
            'GetCsvCampagnaSociResponse' => 'GetCsvCampagnaSociResponse',
            'GetListaSegnalazioniGuasto' => 'GetListaSegnalazioniGuasto',
            'GetListaSegnalazioniGuastoResponse' => 'GetListaSegnalazioniGuastoResponse',
            'GetListaArticoliSegnalazioneGuasto' => 'GetListaArticoliSegnalazioneGuasto',
            'GetListaArticoliSegnalazioneGuastoResponse' => 'GetListaArticoliSegnalazioneGuastoResponse',
            'SendSegnalazioneGuasto' => 'SendSegnalazioneGuasto',
            'SendSegnalazioneGuastoResponse' => 'SendSegnalazioneGuastoResponse',
            'RiassegnaMezzoMissioni' => 'RiassegnaMezzoMissioni',
            'RiassegnaMezzoMissioniResponse' => 'RiassegnaMezzoMissioniResponse',
            'InsertRichiestaCartellino' => 'InsertRichiestaCartellino',
            'InsertRichiestaCartellinoResponse' => 'InsertRichiestaCartellinoResponse',
            'UpdateRichiestaCartellino' => 'UpdateRichiestaCartellino',
            'UpdateRichiestaCartellinoResponse' => 'UpdateRichiestaCartellinoResponse',
            'GetRichiesteCartellino' => 'GetRichiesteCartellino',
            'GetRichiesteCartellinoResponse' => 'GetRichiesteCartellinoResponse',
            'GetRichiestaCartellino' => 'GetRichiestaCartellino',
            'GetRichiestaCartellinoResponse' => 'GetRichiestaCartellinoResponse',
            'DeleteRichiestaCartellino' => 'DeleteRichiestaCartellino',
            'DeleteRichiestaCartellinoResponse' => 'DeleteRichiestaCartellinoResponse',
            'InsertEventolRichiestaCartellino' => 'InsertEventolRichiestaCartellino',
            'InsertEventolRichiestaCartellinoResponse' => 'InsertEventolRichiestaCartellinoResponse',
            'GetListaRuoliOperatori' => 'GetListaRuoliOperatori',
            'GetListaRuoliOperatoriResponse' => 'GetListaRuoliOperatoriResponse',
            'GetListaStradari' => 'GetListaStradari',
            'GetListaStradariResponse' => 'GetListaStradariResponse',
            'CheckGreenPass' => 'CheckGreenPass',
            'CheckGreenPassResponse' => 'CheckGreenPassResponse',
        );
    }
}
