<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SalvaRecapito_Result StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:SalvaRecapito_Result
 * @subpackage Structs
 */
class SalvaRecapito_Result extends AbstractStructBase
{
    /**
     * The Informazioni
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var AdditionaInformation
     */
    public $Informazioni;
    /**
     * The Recapito
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var Recapito_Model
     */
    public $Recapito;
    /**
     * Constructor method for SalvaRecapito_Result
     * @uses SalvaRecapito_Result::setInformazioni()
     * @uses SalvaRecapito_Result::setRecapito()
     * @param AdditionaInformation $informazioni
     * @param Recapito_Model $recapito
     */
    public function __construct(AdditionaInformation $informazioni = null, Recapito_Model $recapito = null)
    {
        $this
            ->setInformazioni($informazioni)
            ->setRecapito($recapito);
    }
    /**
     * Get Informazioni value
     * @return AdditionaInformation|null
     */
    public function getInformazioni()
    {
        return $this->Informazioni;
    }
    /**
     * Set Informazioni value
     * @param AdditionaInformation $informazioni
     * @return SalvaRecapito_Result
     */
    public function setInformazioni(AdditionaInformation $informazioni = null)
    {
        $this->Informazioni = $informazioni;
        return $this;
    }
    /**
     * Get Recapito value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return Recapito_Model|null
     */
    public function getRecapito()
    {
        return isset($this->Recapito) ? $this->Recapito : null;
    }
    /**
     * Set Recapito value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param Recapito_Model $recapito
     * @return SalvaRecapito_Result
     */
    public function setRecapito(Recapito_Model $recapito = null)
    {
        if (is_null($recapito) || (is_array($recapito) && empty($recapito))) {
            unset($this->Recapito);
        } else {
            $this->Recapito = $recapito;
        }
        return $this;
    }
}
